Package org.apache.batchee.container.services.executor

## Class JNDIThreadPoolService

- java.lang.Object
- - org.apache.batchee.container.services.executor.JNDIThreadPoolService

- All Implemented Interfaces:
    `BatchService`, `BatchThreadPoolService`

      public class JNDIThreadPoolService
      extends Object
      implements BatchThreadPoolService

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `DEFAULT_JNDI_LOCATION` |
    `static String` | `THREADPOOL_JNDI_LOCATION` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JNDIThreadPoolService()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `executeTask​(Runnable work, Object config)` | (Required) Runs the given task.
    `void` | `init​(Properties batchConfig)` |
    `void` | `shutdown()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### THREADPOOL_JNDI_LOCATION

          public static final String THREADPOOL_JNDI_LOCATION

      See Also:
        Constant Field Values

    - #### DEFAULT_JNDI_LOCATION

          public final String DEFAULT_JNDI_LOCATION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JNDIThreadPoolService

          public JNDIThreadPoolService()

  - ### Method Detail

    - #### init

          public void init​(Properties batchConfig)

      Specified by:
        `init` in interface `BatchService`

    - #### executeTask

          public void executeTask​(Runnable work,
                                  Object config)

      Description copied from interface: `BatchThreadPoolService`
      (Required) Runs the given task. A task is usually short lived
      Specified by:
        `executeTask` in interface `BatchThreadPoolService`
      Parameters:
        `work` - The task to execute
        `config` - Optional configuration to customize the execution. The Container always passes a null value. Typically used when other user plugins wish to use the ExecutorService to execute tasks.

    - #### shutdown

          public void shutdown()

      Specified by:
        `shutdown` in interface `BatchThreadPoolService`